> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a put away

> Create a put away

### Request body

`CreatePutAwayRequest`

<ParamField body="assigned_to" type="string,null" />

<ParamField body="from_location_id" type="integer,null (int32)" />

<ParamField body="lot_id" type="string,null" />

<ParamField body="notes" type="string,null" />

<ParamField body="quantity" type="string" required>
  Decimal quantity as a string.
</ParamField>

<ParamField body="receipt_id" type="string" required />

<ParamField body="receipt_item_id" type="string" required />

<ParamField body="sku" type="string" required />

<ParamField body="to_location_id" type="integer (int32)" required />

### Responses

<ResponseField name="201" type="PutAwayResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/put-aways' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "assigned_to": null,
    "from_location_id": null,
    "lot_id": null,
    "notes": null,
    "quantity": "string",
    "receipt_id": "string",
    "receipt_item_id": "string",
    "sku": "string",
    "to_location_id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "assigned_to": null,
    "created_at": "string",
    "from_location_id": null,
    "id": "string",
    "quantity": "string",
    "receipt_id": "string",
    "receipt_item_id": "string",
    "sku": "string",
    "status": "string",
    "to_location_id": 1
  }
  ```
</ResponseExample>
